﻿@model IEnumerable<LMS.Data.Models.BookItem>

@{
    ViewData["Title"] = "Index";
}
<br />
<br />
<br />
<h1>Index</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ReferenceOnly)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.BookStatus)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RackNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Book)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.IsDeleted)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ReferenceOnly)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BookStatus)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RackNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Book.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsDeleted)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.BookItemId">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.BookItemId">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.BookItemId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
